Loading...
Searching...
No Matches
SAHooks Struct Reference

`#include <shapefil.h>`

## Data Fields

SAFile(* | FOpen )(const char *filename, const char *access, void *pvUserData)
SAOffset(* | FRead )(void *p, SAOffset size, SAOffset nmemb, SAFile file)
SAOffset(* | FWrite )(const void *p, SAOffset size, SAOffset nmemb, SAFile file)
SAOffset(* | FSeek )(SAFile file, SAOffset offset, int whence)
SAOffset(* | FTell )(SAFile file)
int(* | FFlush )(SAFile file)
int(* | FClose )(SAFile file)
int(* | Remove )(const char *filename, void *pvUserData)
void(* | Error )(const char *message)
double(* | Atof )(const char *str)
void * | pvUserData

## Detailed Description

Definition at line 135 of file shapefil.h.

## Field Documentation

## Atof

double(* SAHooks::Atof) (const char *str)

Definition at line 147 of file shapefil.h.

Referenced by SASetupDefaultHooks().

## Error

void(* SAHooks::Error) (const char *message)

Definition at line 146 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFCreateLL(), DBFReorderFields(), SASetupDefaultHooks(), SHPCreateLL(), SHPOpenLL(), SHPRestoreSHX(), SHPWriteHeader(), and SHPWriteObject().

## FClose

int(* SAHooks::FClose) (SAFile file)

Definition at line 143 of file shapefil.h.

Referenced by DBFClose(), DBFCreateLL(), DBFOpenLL(), SASetupDefaultHooks(), SHPClose(), SHPCreateLL(), SHPOpenLL(), and SHPRestoreSHX().

## FFlush

int(* SAHooks::FFlush) (SAFile file)

Definition at line 142 of file shapefil.h.

Referenced by DBFUpdateHeader(), SASetupDefaultHooks(), and SHPWriteHeader().

## FOpen

SAFile(* SAHooks::FOpen) (const char *filename, const char *access, void *pvUserData)

Definition at line 136 of file shapefil.h.

Referenced by DBFCreateLL(), DBFOpenLL(), SASetupDefaultHooks(), SHPCreateLL(), SHPOpenLL(), and SHPRestoreSHX().

## FRead

SAOffset(* SAHooks::FRead) (void *p, SAOffset size, SAOffset nmemb, SAFile file)

Definition at line 137 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), DBFUpdateHeader(), SASetupDefaultHooks(), SHPOpenLL(), and SHPRestoreSHX().

## FSeek

SAOffset(* SAHooks::FSeek) (SAFile file, SAOffset offset, int whence)

Definition at line 140 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), DBFUpdateHeader(), SASetupDefaultHooks(), SHPOpenLL(), SHPRestoreSHX(), SHPWriteHeader(), and SHPWriteObject().

## FTell

SAOffset(* SAHooks::FTell) (SAFile file)

Definition at line 141 of file shapefil.h.

Referenced by SASetupDefaultHooks(), SHPOpenLL(), and SHPWriteObject().

## FWrite

SAOffset(* SAHooks::FWrite) (const void *p, SAOffset size, SAOffset nmemb, SAFile file)

Definition at line 138 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCreateLL(), DBFDeleteField(), DBFReorderFields(), DBFUpdateHeader(), SASetupDefaultHooks(), SHPCreateLL(), SHPRestoreSHX(), SHPWriteHeader(), and SHPWriteObject().

## pvUserData

void* SAHooks::pvUserData

Definition at line 148 of file shapefil.h.

Referenced by DBFCreateLL(), DBFOpenLL(), SASetupDefaultHooks(), SHPCreateLL(), SHPOpenLL(), and SHPRestoreSHX().

## Remove

int(* SAHooks::Remove) (const char *filename, void *pvUserData)

Definition at line 144 of file shapefil.h.

Referenced by DBFCreateLL(), and SASetupDefaultHooks().

The documentation for this struct was generated from the following file:

- shapefil.h